Gitweb:     
http://git.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=5aab0ad5ed82d6be5173f5d2e9da6be9c1e84a9c
Commit:     5aab0ad5ed82d6be5173f5d2e9da6be9c1e84a9c
Parent:     77adbfbf4cf96fedf9b75bb330704828c187b190
Author:     Adrian Bunk <[EMAIL PROTECTED]>
AuthorDate: Sat Feb 10 01:45:50 2007 -0800
Committer:  Linus Torvalds <[EMAIL PROTECTED]>
CommitDate: Sun Feb 11 10:51:31 2007 -0800

    [PATCH] schedule obsolete OSS drivers for removal, 3rd round
    
    Schedule obsolete OSS drivers (with ALSA drivers that support the same
    hardware) for removal.
    
    A rationale of the patch is in
      http://lkml.org/lkml/2006/12/18/305
    
    Signed-off-by: Adrian Bunk <[EMAIL PROTECTED]>
    Acked-By: Thomas Sailer <[EMAIL PROTECTED]>
    Signed-off-by: Andrew Morton <[EMAIL PROTECTED]>
    Signed-off-by: Linus Torvalds <[EMAIL PROTECTED]>
---
 Documentation/feature-removal-schedule.txt |    7 +++++++
 sound/oss/Kconfig                          |   16 +++++++++++++++-
 sound/oss/dmasound/Kconfig                 |    2 +-
 3 files changed, 23 insertions(+), 2 deletions(-)

diff --git a/Documentation/feature-removal-schedule.txt 
b/Documentation/feature-removal-schedule.txt
index fa844fd..8247a4b 100644
--- a/Documentation/feature-removal-schedule.txt
+++ b/Documentation/feature-removal-schedule.txt
@@ -215,6 +215,13 @@ Who:       Jean Delvare <[EMAIL PROTECTED]>,
 
 ---------------------------
 
+What:  drivers depending on OBSOLETE_OSS
+When:  options in 2.6.22, code in 2.6.24
+Why:   OSS drivers with ALSA replacements
+Who:   Adrian Bunk <[EMAIL PROTECTED]>
+
+---------------------------
+
 What:  IPv4 only connection tracking/NAT/helpers
 When:  2.6.22
 Why:   The new layer 3 independant connection tracking replaces the old
diff --git a/sound/oss/Kconfig b/sound/oss/Kconfig
index a0588c2..7ef2e2b 100644
--- a/sound/oss/Kconfig
+++ b/sound/oss/Kconfig
@@ -5,6 +5,20 @@
 #
 # Prompt user for primary drivers.
 
+config OBSOLETE_OSS
+       bool "Obsolete OSS drivers"
+       depends on SOUND_PRIME
+       help
+         This option enables support for obsolete OSS drivers that
+         are scheduled for removal in the near future since there
+         are ALSA drivers for the same hardware.
+
+         Please contact Adrian Bunk <[EMAIL PROTECTED]> if you had to
+         say Y here because your soundcard is not properly supported
+         by ALSA.
+
+         If unsure, say N.
+
 config SOUND_BT878
        tristate "BT878 audio dma"
        depends on SOUND_PRIME && PCI
@@ -33,7 +47,7 @@ config SOUND_BCM_CS4297A
 
 config SOUND_ES1371
        tristate "Creative Ensoniq AudioPCI 97 (ES1371)"
-       depends on SOUND_PRIME && PCI
+       depends on SOUND_PRIME && PCI && OBSOLETE_OSS
        help
          Say Y or M if you have a PCI sound card utilizing the Ensoniq
          ES1371 chipset, such as Ensoniq's AudioPCI97. To find out if
diff --git a/sound/oss/dmasound/Kconfig b/sound/oss/dmasound/Kconfig
index cb84558..18e149f 100644
--- a/sound/oss/dmasound/Kconfig
+++ b/sound/oss/dmasound/Kconfig
@@ -14,7 +14,7 @@ config DMASOUND_ATARI
 
 config DMASOUND_PMAC
        tristate "PowerMac DMA sound support"
-       depends on PPC32 && PPC_PMAC && SOUND && I2C
+       depends on PPC32 && PPC_PMAC && SOUND && I2C && OBSOLETE_OSS
        select DMASOUND
        help
          If you want to use the internal audio of your PowerMac in Linux,
-
To unsubscribe from this list: send the line "unsubscribe git-commits-head" in
the body of a message to [EMAIL PROTECTED]
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Reply via email to